- Qt 5.15
- Qt 3D
- C++ Classes
- QCylinderMesh
- Qt 5.15.11 Reference Documentation

# QCylinderMesh Class

class Qt3DExtras::QCylinderMesh

A cylindrical mesh. More...

Header: | #include <Qt3DExtras/QCylinderMesh>
qmake: | QT += 3dextras
Instantiated By: | CylinderMesh
Inherits: | Qt3DRender::QGeometryRenderer

- List of all members, including inherited members

## Properties

- length : float
- radius : float
- rings : int
- slices : int

## Public Functions

float | length() const
float | radius() const
int | rings() const
int | slices() const

## Public Slots

void | setLength(float length)
void | setRadius(float radius)
void | setRings(int rings)
void | setSlices(int slices)

## Signals

void | lengthChanged(float length)
void | radiusChanged(float radius)
void | ringsChanged(int rings)
void | slicesChanged(int slices)

## Detailed Description

* * * * * * *

## Property Documentation

### length : float

Holds the length of the cylinder.

Access functions:

float | length() const
void | setLength(float length)

Notifier signal:

void | lengthChanged(float length)

### radius : float

Holds the radius of the cylinder.

Access functions:

float | radius() const
void | setRadius(float radius)

Notifier signal:

void | radiusChanged(float radius)

### rings : int

Holds the number of rings in the mesh.

Access functions:

int | rings() const
void | setRings(int rings)

Notifier signal:

void | ringsChanged(int rings)

### slices : int

Holds the number of slices in the mesh.

Access functions:

int | slices() const
void | setSlices(int slices)

Notifier signal:

void | slicesChanged(int slices)